commit:     4b0cbd0cb0955f89bbddbd08ee7865a71b0d378b
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 25 22:37:34 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Dec 25 22:54:53 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4b0cbd0c

kde-apps/ktp-text-ui: Drop bogus DEPEND

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-apps/ktp-text-ui/ktp-text-ui-18.12.0-r1.ebuild | 55 ++++++++++++++++++++++
 1 file changed, 55 insertions(+)

diff --git a/kde-apps/ktp-text-ui/ktp-text-ui-18.12.0-r1.ebuild 
b/kde-apps/ktp-text-ui/ktp-text-ui-18.12.0-r1.ebuild
new file mode 100644
index 00000000000..0da10c8efe3
--- /dev/null
+++ b/kde-apps/ktp-text-ui/ktp-text-ui-18.12.0-r1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="KDE Telepathy text chat window"
+HOMEPAGE="https://community.kde.org/Real-Time_Communication_and_Collaboration";
+
+LICENSE="Apache-2.0 || ( AFL-2.1 BSD ) GPL-2+ LGPL-2.1+ MIT"
+KEYWORDS="~amd64 ~x86"
+IUSE="speech"
+
+DEPEND="
+       $(add_frameworks_dep karchive)
+       $(add_frameworks_dep kcmutils)
+       $(add_frameworks_dep kconfig)
+       $(add_frameworks_dep kconfigwidgets)
+       $(add_frameworks_dep kcoreaddons)
+       $(add_frameworks_dep kdbusaddons)
+       $(add_frameworks_dep kemoticons)
+       $(add_frameworks_dep ki18n)
+       $(add_frameworks_dep kiconthemes)
+       $(add_frameworks_dep kio)
+       $(add_frameworks_dep kitemviews)
+       $(add_frameworks_dep knotifications)
+       $(add_frameworks_dep knotifyconfig)
+       $(add_frameworks_dep kpeople)
+       $(add_frameworks_dep kservice)
+       $(add_frameworks_dep ktextwidgets)
+       $(add_frameworks_dep kwidgetsaddons)
+       $(add_frameworks_dep kwindowsystem)
+       $(add_frameworks_dep kxmlgui)
+       $(add_frameworks_dep sonnet)
+       $(add_kdeapps_dep ktp-common-internals otr)
+       $(add_qt_dep qtdbus)
+       $(add_qt_dep qtgui)
+       $(add_qt_dep qtwebengine 'widgets')
+       $(add_qt_dep qtwidgets)
+       $(add_qt_dep qtxml)
+       net-libs/telepathy-qt[qt5(+)]
+       speech? ( $(add_qt_dep qtspeech) )
+"
+RDEPEND="${DEPEND}
+       $(add_kdeapps_dep ktp-contact-list)
+"
+
+src_configure() {
+       local mycmakeargs=(
+               $(cmake-utils_use_find_package speech Qt5TextToSpeech)
+       )
+
+       kde5_src_configure
+}

Reply via email to